libretools - Bug #1186

[librefetch] Prints silly warnings about backup entries not being in the package.

2017-01-20 11:43 PM - lukeshu

Status: fixed % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

It should probably just clear backup=() in the SRCBUILD.

History

#1 - 2017-01-21 12:14 AM - lukeshu

- Project changed from libretools to 21

#2 - 2017-01-21 12:23 AM - lukeshu

- Project changed from 21 to libretools
#3 - 2017-01-21 01:05 AM - lukeshu
Here's an example of librefetch being triggered by “updpkgsums’ for libre/dbscripts:

==> Retrieving sources...
-> Downloading dbscripts-20170120.2.tar.gz...

% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 ——:=——:—— 0:00:01 ——:——:—— 0

curl: (22) The requested URL returned error: 404 Not Found
==> Making source: dbscripts 20170120.2-1 (Fri Jan 20 18:41:45 EST 2017)
==> Checking source dependencies...
==> Retrieving sources...
—> Cloning dbscripts-20170120.2 git repo...

Cloning into bare repository '/home/luke/packages/srcdest/dbscripts-20170120.2"'...

remote: Counting objects: 5919, done.
remote: Compressing objects: 100% (1939/1939), done.
Receiving objects: 100% (5919/5919), done.
Resolving deltas: 100% (3939/3939), done.
==> Validating source files with mdS5sums...
dbscripts-20170120.2 ... Skipped

==> Extracting sources...

—-> Creating working copy of git repo...
Cloning into 'dbscripts-20170120.2"'...
done.
Switched to a new branch 'makepkg'
==> Starting prepare()...
==> Starting build()...
==> Starting check()...
==> Entering fakeroot environment...
==> Starting package() ...
==> Tidying install...

-> Purging unwanted files...
==> Checking for packaging issue...
==> WARNING: backup entry file not in package : etc/dbscripts/config
==> WARNING: backup entry file not in package : etc/dbscripts/config.testing

==> WARNING: backup entry file not in package : etc/dbscripts/db-import-archlinux.conf
==> WARNING: backup entry file not in package : etc/dbscripts/db-import-archlinuxarm.conf

==> Creating package "dbscripts"...
—> Generating .PKGINFO file...
—> Generating .BUILDINFO file...
-> Generating .MTREE file...
-> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: dbscripts 20170120.2-1 (Fri Jan 20 18:41: 51 EST 2017)
==> Generating checksums for source files...
- % Done changed from 0 to 100

- Status changed from open to fixed

This was fixed in v20180530

#5 - 2018-08-15 11:59 PM - lukeshu

- Assignee set to lukeshu
